﻿@model eCommerce.UI.ViewModels.Shop.ProductQuickViewModel
@using eCommerce.Services.Utils
@using eCommerce.Services.Security
@using eCommerce.Services.Model.Enums

<div class="quickview">
    <input type="hidden" class="js-quickview-product"  value="@Model.Id" />

    @if (Model.Images.Count() > 1)
    {
        <div class="quickview__imagelist js-quickview-slider">
            @foreach (var image in Model.Images)
            {
                <div class="quickview__imagelist-item js-quickview-image">
                    <img class="js-image" src="@image.ResizedUrl" alt="@Model.Title" />
                </div>
            }
        </div>
    }
    

    <div class="quickview__image">
        <img src="@Model.Images.FirstOrDefault().ResizedUrl" alt="@Model.Title" />
    </div>

    <div class="quickview__detail">
        <div class="quickview__code">Cod @Model.Code</div>

        <div class="quickview__title">@Model.Title</div>

        <div class="quickview__description">
            @Model.Description
        </div>
        
        <div class="quickview__cloth">
            Tela: @Model.Cloth
        </div>

        <div class="quickview__pricing">
            @if (Model.OldPrice.HasValue)
            {
                <span class="quickview__price quickview__price--old">@Model.OldPrice.Value.ToString("c2")</span>
            }
            <span class="quickview__price">@Model.Price.ToString("c2")</span>
        </div>
        
        <div class="quickview__property">
            <span>Color</span>
            <div class="quickview__color-list js-quickview-colors">
                @foreach (var color in Model.ColorList)
                {
                    var iswhite = color.ColorId == 830 || color.Description.ToLower().Contains("blanco");
                    <div class="color-ball-container">
                        <span class="quickview__color-ball" data-color="@color.ColorId" title="@color.Description" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(iswhite ? "border:1px solid #000;" : string.Empty)"></span>
                    </div>
                }
            </div>
        </div>

        <div class="quickview__property">
            <span>Talle</span>
            <ul class="quickview__size js-quickview-sizes">
                @foreach (var item in Model.SizeList)
                {
                    <li class="quickview__size-item-container">
                        <span class="quickview__size-item" data-size="@item.SizeId">@item.Description</span>
                    </li>
                }
            </ul>
            @*<select class="quickview__size js-quickview-size">
                @foreach (var item in Model.SizeList)
                {
                    <option value="@item.SizeId">@item.Description</option>
                }
            </select>*@
        </div>

        @if (int.Parse(TempData["UserType"].ToString()) == (int)UserTypeEnum.Mayorista)
        {
            <div class="quickview__property">
                <span>Cantidad</span>
                <select class="quickview__quantity js-quickview-quantity">
                    @for (int i = 1; i < 100; i++)
                {
                        <option value="@i">@i</option>
                    }
                </select>
            </div>
        }

        @*<div id="guiatalles" class="quickview__guia-de-talles">
            <i class="fa fa-angle-right"></i>ver guia de talles
        </div>*@

        <div class="quickview__button-section">
            <button type="button" class="button quickview__button js-quickview-add">Agregar al carrito</button>
            @*<div class="share">
                <span class="share-icon">
                    <i class="fa fa-share-alt" aria-hidden="true" style="margin-right:7px;"></i>compartir
                </span>
                <div class="compartir hide">
                    <ul>
                        <li>
                            <a href="@string.Format("{0}{1}", "https://www.facebook.com/sharer.php?u=", Model.ShareUrl)" target="_blank" class="facebook">
                                <i class="fa fa-facebook"></i>
                            </a>
                        </li>
                        <li>
                            <a href="@string.Format("{0}{1}", "https://twitter.com/share?url=", Model.ShareUrl)" target="_blank" class="twitter">
                                <i class="fa fa-twitter"></i>
                            </a>
                        </li>
                        <li>
                            <a href="@string.Format("{0}{1}", "mailto:?Subject=Fibrahumana&amp;Body=Mira esto! ", Model.ShareUrl)" target="_blank" class="mail">
                                <i class="fa fa-envelope"></i>
                            </a>
                        </li>
                    </ul>
                </div>
            </div>*@
        </div>
    </div>
</div>


<script>
    $('.js-quickview-slider').slick({
        fade: true,
        arrows: true,
    });

</script>
